Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002067 [DCSS] Upload: Graphics minor have not tried 2010-07-24 15:15 2015-12-21 18:47
Reporter caotto View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.8 ancient branch
Summary 0002067: Display different glyphs for kraken tentacle segments based on positioning
Description I made a patch that displays different glyphs for kraken tentacle segments based on their positions relative to neighboring tentacle segments. This is not a particularly good implementation so think of it as a proof of concept.

My questions are: is using multiple symbols for tentacle segments a good idea, and if so how can it be implemented cleanly?
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Hacks-to-display-different-symbols-for-tentacle-segm.patch [^] (4,275 bytes) 2010-07-24 15:15 [Show Content]
png file icon kraken_multiglyph.png [^] (17,252 bytes) 2010-07-24 15:38


png file icon kraken_singleglyph.png [^] (15,854 bytes) 2010-07-24 15:38


png file icon kraken_multicolor.png [^] (15,484 bytes) 2010-07-24 16:23

- Relationships

-  Notes
(0006531)
KiloByte (manager)
2010-07-24 15:25

It could REALLY benefit from Unicode support.
(0006532)
OG17 (reporter)
2010-07-24 15:48

How ridiculous would individually-colored tentacles look? "Amorphous blob" and "zigzag nightmare" are pretty lacking.
(0006535)
caotto (developer)
2010-07-24 16:28

Good question "OG17" (if that is in fact your real name). I attached a screenshot of multi-color kraken tentacles.


In general the argument against multi-colored kraken tentacles is that if you are fighting two kraken at once you won't know which one the tentacles belong to--but since there is a connection to the main body it should probably be obvious (well if the tentacles are submerged it may not be).

Also I think I read something about limiting kraken to 1 per level, not sure if that's a hard limit or just an expected value.
(0006536)
OG17 (reporter)
2010-07-24 17:00

Can two kraken not share colors currently? And undead kraken are all the same color.

Thanks for the screenshot - it's a little garish in the picture, but that could be softened if the monster selected subtler colors first. Also, the kraken body could cycle elementally through its current tentacle colors, which would make the body fit in better with the tentacles for a more unified whole while creating a neat dynamic visual as the monster loses and replaces tentacles (and somewhat reflect how actual similar animals shift their colors). It'd still be a little goofy, but whatever, a little goofiness is fine, and it'd certainly be functional.
(0030046)
wheals (administrator)
2015-12-21 18:47
edited on: 2015-12-21 18:47

Re-implemented more stably in https://github.com/crawl/crawl/commit/b21bac6b25fe. [^] Since the code for determining directions was added a long time ago for tiles, it just changes the character for the segment accordingly.


- Issue History
Date Modified Username Field Change
2010-07-24 15:15 caotto New Issue
2010-07-24 15:15 caotto File Added: 0001-Hacks-to-display-different-symbols-for-tentacle-segm.patch
2010-07-24 15:25 KiloByte Note Added: 0006531
2010-07-24 15:38 caotto File Added: kraken_multiglyph.png
2010-07-24 15:38 caotto File Added: kraken_singleglyph.png
2010-07-24 15:48 OG17 Note Added: 0006532
2010-07-24 16:23 caotto File Added: kraken_multicolor.png
2010-07-24 16:28 caotto Note Added: 0006535
2010-07-24 17:00 OG17 Note Added: 0006536
2011-02-13 22:23 KiloByte Category FR: Graphics => Upload: Graphics
2015-12-21 18:47 wheals Note Added: 0030046
2015-12-21 18:47 wheals Status new => resolved
2015-12-21 18:47 wheals Fixed in Branch => 0.18 development branch
2015-12-21 18:47 wheals Resolution open => done
2015-12-21 18:47 wheals Assigned To => wheals
2015-12-21 18:47 wheals Note Edited: 0030046


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker